Method: projects.locations.cloudExadataInfrastructures.configureExascale

Configures Exascale for a single Exadata Infrastructure.

HTTP request


POST https://oracledatabase.googleapis.com/v1/{name=projects/*/locations/*/cloudExadataInfrastructures/*}:configureExascale

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the Cloud Exadata Infrastructure in the following format: projects/{project}/locations/{location}/cloudExadataInfrastructures/{cloudExadataInfrastructure}.

Request body

The request body contains data with the following structure:

JSON representation
{
  "totalStorageSizeGb": integer,
  "requestId": string
}
Fields
totalStorageSizeGb

integer

Required. The total storage to be allocated to Exascale in GBs.

requestId

string

Optional. An optional ID to identify the request.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/oracle-database

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • oracledatabase.cloudExadataInfrastructures.update

For more information, see the IAM documentation.